com.genesyslab.wfm8.API.service.config850

## Class CfgSubsystem

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgSubsystem

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgSubsystem
      extends java.lang.Object
      implements java.io.Serializable

  Subsystem Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `wmName`
    `protected int` | `wmOrder`
    `protected int` | `wmSubsystemId`
    `protected java.lang.String` | `wmSystemName`
    `protected int` | `wmType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgSubsystem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmOrder()` Gets the value of the wmOrder property.
    `int` | `getWmSubsystemId()` Gets the value of the wmSubsystemId property.
    `java.lang.String` | `getWmSystemName()` Gets the value of the wmSystemName property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `hashCode()`
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmOrder(int value)` Sets the value of the wmOrder property.
    `void` | `setWmSubsystemId(int value)` Sets the value of the wmSubsystemId property.
    `void` | `setWmSystemName(java.lang.String value)` Sets the value of the wmSystemName property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `java.lang.String` | `toString()`
    `CfgSubsystem` | `withWmName(java.lang.String value)`
    `CfgSubsystem` | `withWmOrder(int value)`
    `CfgSubsystem` | `withWmSubsystemId(int value)`
    `CfgSubsystem` | `withWmSystemName(java.lang.String value)`
    `CfgSubsystem` | `withWmType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSubsystemId

          protected int wmSubsystemId

    - #### wmName

          protected java.lang.String wmName

    - #### wmType

          protected int wmType

    - #### wmSystemName

          protected java.lang.String wmSystemName

    - #### wmOrder

          protected int wmOrder

  - ### Constructor Detail

    - #### CfgSubsystem

          public CfgSubsystem()

  - ### Method Detail

    - #### getWmSubsystemId

          public int getWmSubsystemId()

      Gets the value of the wmSubsystemId property.

    - #### setWmSubsystemId

          public void setWmSubsystemId(int value)

      Sets the value of the wmSubsystemId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### getWmSystemName

          public java.lang.String getWmSystemName()

      Gets the value of the wmSystemName property.
      Returns:
        possible object is `String`

    - #### setWmSystemName

          public void setWmSystemName(java.lang.String value)

      Sets the value of the wmSystemName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmOrder

          public int getWmOrder()

      Gets the value of the wmOrder property.

    - #### setWmOrder

          public void setWmOrder(int value)

      Sets the value of the wmOrder property.

    - #### withWmSubsystemId

          public CfgSubsystem withWmSubsystemId(int value)

    - #### withWmName

          public CfgSubsystem withWmName(java.lang.String value)

    - #### withWmType

          public CfgSubsystem withWmType(int value)

    - #### withWmSystemName

          public CfgSubsystem withWmSystemName(java.lang.String value)

    - #### withWmOrder

          public CfgSubsystem withWmOrder(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.